package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class SalesProcessHotspot implements Serializable
{

    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("view_id")
    @Expose
    private String viewId;
    @SerializedName("pointvalue")
    @Expose
    private String pointvalue;
    @SerializedName("contentid")
    @Expose
    private String contentid;
    @SerializedName("is_deleted")
    @Expose
    private String isDeleted;
    @SerializedName("created_on")
    @Expose
    private String createdOn;
    @SerializedName("modified_on")
    @Expose
    private String modifiedOn;
    @SerializedName("title")
    @Expose
    private String title;
    @SerializedName("description")
    @Expose
    private String description;
    @SerializedName("file")
    @Expose
    private String file;
    @SerializedName("file_url")
    @Expose
    private String fileUrl;
    @SerializedName("thumb_image_url")
    @Expose
    private String thumbImageUrl;
    @SerializedName("file_type")
    @Expose
    private String fileType;
    @SerializedName("point_arr")
    @Expose
    private SalesProcessPointArr processPointArr;
    private final static long serialVersionUID = 5374491369179579261L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getViewId() {
        return viewId;
    }

    public void setViewId(String viewId) {
        this.viewId = viewId;
    }

    public String getPointvalue() {
        return pointvalue;
    }

    public void setPointvalue(String pointvalue) {
        this.pointvalue = pointvalue;
    }

    public String getContentid() {
        return contentid;
    }

    public void setContentid(String contentid) {
        this.contentid = contentid;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(String createdOn) {
        this.createdOn = createdOn;
    }

    public String getModifiedOn() {
        return modifiedOn;
    }

    public void setModifiedOn(String modifiedOn) {
        this.modifiedOn = modifiedOn;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getThumbImageUrl() {
        return thumbImageUrl;
    }

    public void setThumbImageUrl(String thumbImageUrl) {
        this.thumbImageUrl = thumbImageUrl;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public SalesProcessPointArr getProcessPointArr() {
        return processPointArr;
    }

    public void setProcessPointArr(SalesProcessPointArr processPointArr) {
        this.processPointArr = processPointArr;
    }
}